Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ormapping
Class OneToOneMapping

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
            |
            +--com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
                  |
                  +--com.solarmetric.kodo.impl.jdbc.ormapping.OneToOneMapping

All Implemented Interfaces:
  LoadPrimary, LoadSecondary, PrimaryTable, Relation, StorePrimary

Direct Known Subclasses:
  InterfaceMapping

public class OneToOneMapping
extends FieldMapping
implements Relation, LoadPrimary, LoadSecondary, StorePrimary, PrimaryTable

Represents a 1-1 relation with a persistent object type, where the PK value of the related type is stored in the primary table of the owning class.

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`COL_INDEX, COL_LENGTH, DATA_COL`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`CUSTOM_MAPPING, dict, MAPPING, TABLE`

Fields inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.Relation
`INVERSE, READ_ONLY`

Constructor Summary
`OneToOneMapping()`

Method Summary
`protected boolean` | `canMap(FieldMetaData fmd, ClassResolver resolver)`
`void` | `delete(Delete del, StateManagerImpl sm, int field)` Delete the field from the primary table for this mapping.
`Column[]` | `getColumns()` Return all columns of the primary table used only by this mapping.
`Column[]` | `getPKColumns()` Return the primary key columns of the owning class.
`Column[]` | `getRelationPKColumns()` Return the primary key column(s) of the related object.
`Class` | `getRelationType()` Return the type the mapping relates to.
`void` | `insert(Insert insert, StateManagerImpl sm, int field)` Insert the given field into the primary table for this mapping.
`protected void` | `install(FieldMetaData fmd, JDBCConfiguration conf, ClassResolver resolver, DBDictionary dict)`
`protected void` | `installOneToOneMapping(FieldMetaData fmd, JDBCConfiguration conf, ClassResolver resolver, DBDictionary dict)`
`protected boolean` | `isValidInverse(FieldMetaData fmd, FieldMetaData imd)` determine first if there is an inverse.
`void` | `join(ObjectSelect sel)` Join this mapping to the given select statement.
`void` | `load(StateManagerImpl sm, int field, ResultSet rs, int startColumn)` Load the value of this mapping from the ResultSet produced by the Select passed to the `select(com.solarmetric.kodo.impl.jdbc.sql.Select)` method.
`void` | `load(StateManagerImpl sm, Object[] pks, int field, SQLExecutionManager sqlem)` Load the value of this mapping for the given instance.
`void` | `select(Select sel)` Select the value of this mapping.
`void` | `setPKColumns(Column[] val)` Set the primary key columns of the owning class.
`void` | `setRelationPKColumns(Column[] columns)`
`void` | `update(Update update, StateManagerImpl sm, int field)` Update the given field into the primary table for this mapping.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`compareToNull, getDataColumns, getInstance, getInstance, getMetaData, setDataColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`createMappings, createMappings, getConfiguration, getDictionary, getInstance, getTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.Relation
`getConfiguration`

Constructor Detail

### OneToOneMapping

    public OneToOneMapping()

Method Detail

### getPKColumns

    public Column[] getPKColumns()

  Return the primary key columns of the owning class.

### setPKColumns

    public void setPKColumns(Column[] val)

  Set the primary key columns of the owning class.

### getRelationType

    public Class getRelationType()

  Description copied from interface: `Relation`
  Return the type the mapping relates to.
  Specified by:
    `getRelationType` in interface `Relation`

### getRelationPKColumns

    public Column[] getRelationPKColumns()

  Description copied from interface: `Relation`
  Return the primary key column(s) of the related object.
  Specified by:
    `getRelationPKColumns` in interface `Relation`

### setRelationPKColumns

    public void setRelationPKColumns(Column[] columns)

### select

    public void select(Select sel)

  Description copied from interface: `LoadPrimary`
  Select the value of this mapping.
  Specified by:
    `select` in interface `LoadPrimary`

### load

    public void load(StateManagerImpl sm,
                     int field,
                     ResultSet rs,
                     int startColumn)
              throws SQLException

  Description copied from interface: `LoadPrimary`
  Load the value of this mapping from the ResultSet produced by the Select passed to the `LoadPrimary.select(com.solarmetric.kodo.impl.jdbc.sql.Select)` method.
  Specified by:
    `load` in interface `LoadPrimary`

### join

    public void join(ObjectSelect sel)

  Description copied from class: `FieldMapping`
  Join this mapping to the given select statement. For basic mappings, this no-op method implementation will suffice. Secondary table mappings should override this method to do the proper join.
  Overrides:
    `join` in class `FieldMapping`

### load

    public void load(StateManagerImpl sm,
                     Object[] pks,
                     int field,
                     SQLExecutionManager sqlem)
              throws SQLException

  Description copied from interface: `LoadSecondary`
  Load the value of this mapping for the given instance. Relations to other persistent types are loaded as PersistenceCapable instances.
  Specified by:
    `load` in interface `LoadSecondary`
  Following copied from interface: `com.solarmetric.kodo.impl.jdbc.ormapping.LoadSecondary`
  Parameters:
    `stmnt` - The caller is responsible for closing the statement.

### insert

    public void insert(Insert insert,
                       StateManagerImpl sm,
                       int field)
                throws SQLException

  Description copied from interface: `StorePrimary`
  Insert the given field into the primary table for this mapping.
  Specified by:
    `insert` in interface `StorePrimary`

### update

    public void update(Update update,
                       StateManagerImpl sm,
                       int field)
                throws SQLException

  Description copied from interface: `StorePrimary`
  Update the given field into the primary table for this mapping.
  Specified by:
    `update` in interface `StorePrimary`

### delete

    public void delete(Delete del,
                       StateManagerImpl sm,
                       int field)
                throws SQLException

  Description copied from interface: `StorePrimary`
  Delete the field from the primary table for this mapping.
  Specified by:
    `delete` in interface `StorePrimary`

### canMap

    protected boolean canMap(FieldMetaData fmd,
                             ClassResolver resolver)

### install

    protected final void install(FieldMetaData fmd,
                                 JDBCConfiguration conf,
                                 ClassResolver resolver,
                                 DBDictionary dict)

### installOneToOneMapping

    protected void installOneToOneMapping(FieldMetaData fmd,
                                          JDBCConfiguration conf,
                                          ClassResolver resolver,
                                          DBDictionary dict)

### isValidInverse

    protected boolean isValidInverse(FieldMetaData fmd,
                                     FieldMetaData imd)

  determine first if there is an inverse. If so, check for both sides having inverses, and test for read only

### getColumns

    public Column[] getColumns()

  Description copied from interface: `PrimaryTable`
  Return all columns of the primary table used only by this mapping.
  Specified by:
    `getColumns` in interface `PrimaryTable`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.